function nto=tmy_tireoff( sy ...     % lateral slip
                        , nto0 ...   % normalized caster offset n/L @ sy=0 
                        , synto0 ... % slip where nto passes sy-axis
                        , syntoE )   % slip where sliding starts
% tire offset normalized to contact length 

  sy_a = abs(sy); % absolute slip value
  syntoE_loc = max([syntoE,synto0]); % ensure appropriate data

  if sy_a >= syntoE_loc        
    nto = 0.d0;  %   very high slip values --> pure sliding
  else
    wf = synto0/syntoE_loc; % weighting function for 2 approximations
    if sy_a <= synto0  % low and moderate slip values
      sy_n = sy_a/synto0;
      nto1  = nto0*( 1 - sy_n );  nto2=nto0*(1-(3-2*sy_n)*sy_n^2);
      nto   = (1.d0-wf)*nto1 + wf*nto2 ;
    else  %  high slip values
      sy_n = ( syntoE_loc - sy_a ) / ( syntoE_loc - synto0 );
      nto = - nto0*(1-wf) * (sy_a-synto0)/synto0 * sy_n^2 ;
    end
  end 

end

