function xp=Chassis_Wheel_Tire_f(t,x)
% simple vehicle model including wheel and tire dynamics

global  gravity al mass Theta r  dfx0 fxm sxm fxs sxs  vN  cx dx
global  t_Drive Drive_Torque  t_Brake Brake_Torque  dN
global  sx fxd tq_B tq_D

% get states
v = x(1);  o = x(2);  % vehicle velocity and angular velocity of wheel 
xe= x(3);  xv= x(4);  % longitudinal tire deflection and vehicle position

% actual driving and maximum braking torque via linear interpolation
tq_D = interp1(t_Drive,Drive_Torque,t);
tq_Bmx = interp1(t_Brake,Brake_Torque,t);
% modified transport velocity and long. slip without normalization
vt = abs(r*o) + vN;  vs = v-r*o; sx = -vs/vt;
% generalized tire characteristics (sx only) 
[ f, fos ] = tmy_fcombined( abs(sx), dfx0,fxm,sxm,fxs,sxs ) ;
% time derivative of long. tire deflection and long. dynamic tire force
xedot = -(cx*xe*vt+fos*(v-r*o))/(dx*vt+fos);  fxd = cx*xe+dx*xedot;
% applied braking torque (enhanced dry friction model)
tq_B = tq_D-r*fxd + dN*o ;  tq_B = sign(tq_B) * min( abs(tq_B), tq_Bmx );
% derivatives
odot = ( tq_D - tq_B - r*fxd ) / Theta;  % angular momentum wheel
vdot = ( fxd - mass*gravity*sin(al) ) / mass;   % linear momentum chassis
xp = [ vdot; odot; xedot; v ]; % state derivatives 

end