function xp = qcm_simple_f(t,x) % simple quarter car model

global  grav M  m  cS  dS  cT  FS0 FT0  FT
global  v_veh Amp Om Psi

zc=x(1); zw=x(2); zcd=x(3); zwd=x(4);  % local state variables
s=v_veh*t; zr=sum(Amp.*sin(Om*s+Psi)); % generate pseudo random road

FS = FS0 + cS*(zw-zc);  % linear spring force
FD = dS*(zwd-zcd); % linear damper force
FT = max([0, FT0+cT*(zr-zw)]); % wheel load (including lift off)

zcdd = (     FS + FD - M*grav ) / M ;  % chassis acceleration
zwdd = (FT - FS - FD - m*grav ) / m ;  % wheel acceleration

xp = [ zcd;  zwd; zcdd;  zwdd ]; % state derivatives

end